/*
  common-functions.hpp
  Copyright (C) 2013  Giménez, Christian N.
  
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
  domingo 27 de enero del 2013     */


#ifndef __COMMONFUNCTIONS_HPP
#define __COMMONFUNCTIONS_HPP 1

#include <string>

using namespace std;

/**
   This namespace has common and miscelaneous functions.
 */
namespace CommonFuncs{

  /**
     Trim a String. Remove empty characters(spaces, tabs, etc.) from the beggining and end of a string.
     
     @param str An instance of string.

     @returns An instance of string without spaces at the beggin and end.
  */
  string trim(string str);
}

#endif /* __COMMONFUNCTIONS_HPP */

